"Zope ODBC Database Connection"

from db import DB
import Shared.DC.ZRDB.Connection
from Globals import HTMLFile
import string

addConnectionForm = HTMLFile(
    "Shared/DC/ZRDB/dtml/connectionAdd",
    default_id = "ODBC_database_connection",
    default_title = "Z ODBC Database Connection",
    database_type = "ODBC",
)

def addConnection( self, id, title, connection_string, check=None, REQUEST=None ):
    """Add a DB connection to a folder"""
    self._setObject( id, Connection(id, title, connection_string, check) )
    if REQUEST is not None: return self.manage_main( self, REQUEST )

class Connection( Shared.DC.ZRDB.Connection.Connection ):
    """A database connection object"""
    database_type = "ODBC"
    id = "ODBC_database_connection"
    meta_type = title = "Z ODBC Database Connection"
    icon = "misc_/ZODBCDA/conn"
    _isAnSQLConnection = 1

    def factory( self ):
        return DB


